# Uses of Interface
org.eclipse.birt.chart.model.attribute.FontDefinition

Packages that use FontDefinition
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of FontDefinition in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return FontDefinition
Modifier and Type
Method
Description
`FontDefinition`
GObjectFactory.`copyOf(FontDefinition src)`
`FontDefinition`
IGObjectFactory.`copyOf(FontDefinition src)`
`FontDefinition`
GObjectFactory.`createFontDefinition(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)`
`FontDefinition`
IGObjectFactory.`createFontDefinition(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)`
Methods in org.eclipse.birt.chart.computation with parameters of type FontDefinition
Modifier and Type
Method
Description
`FontDefinition`
GObjectFactory.`copyOf(FontDefinition src)`
`FontDefinition`
IGObjectFactory.`copyOf(FontDefinition src)`

## Uses of FontDefinition in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device with parameters of type FontDefinition
Modifier and Type
Method
Description
`Object`
DisplayAdapter.`createFont(FontDefinition fd)`
`Object`
IDisplayServer.`createFont(FontDefinition fd)`
Attempts to create a new font resource associated with a specific device for use in rendering or computations

## Uses of FontDefinition in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return FontDefinition
Modifier and Type
Method
Description
`FontDefinition`
FontDefinition.`copyInstance()`
`FontDefinition`
AttributeFactory.`createFontDefinition()`
Returns a new object of class 'Font Definition'.
`FontDefinition`
Style.`getFont()`
Returns the value of the 'Font' containment reference.
`FontDefinition`
Text.`getFont()`
Returns the value of the 'Font' containment reference.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type FontDefinition
Modifier and Type
Method
Description
`void`
Style.`setFont(FontDefinition value)`
Sets the value of the '`Font`' containment reference.
`void`
Text.`setFont(FontDefinition value)`
Sets the value of the '`Font`' containment reference.

## Uses of FontDefinition in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement FontDefinition
Modifier and Type
Class
Description
`class`
`FontDefinitionImpl`
An implementation of the model object ' Font Definition'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return FontDefinition
Modifier and Type
Method
Description
`FontDefinition`
FontDefinitionImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final FontDefinition`
FontDefinitionImpl.`create(String sName, float fSize, boolean bBold, boolean bItalic, boolean bUnderline, boolean bStrikethrough, boolean bWordWrap, double dRotation, TextAlignment ta)`
NOTE: Manually written
`static final FontDefinition`
FontDefinitionImpl.`createEmpty()`
Creates an empty FontDefinition instance.
`static final FontDefinition`
FontDefinitionImpl.`createEmptyDefault()`
`FontDefinition`
AttributeFactoryImpl.`createFontDefinition()`
`FontDefinition`
StyleImpl.`getFont()`
`FontDefinition`
TextImpl.`getFont()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type FontDefinition
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
StyleImpl.`basicSetFont(FontDefinition newFont, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
TextImpl.`basicSetFont(FontDefinition newFont, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static Style`
StyleImpl.`create(FontDefinition font, ColorDefinition color, ColorDefinition backcolor, Image backimage, Insets padding)`
`void`
StyleImpl.`setFont(FontDefinition newFont)`
`void`
TextImpl.`setFont(FontDefinition newFont)`